import pandas as pd


class Projects:

    def __init__(self, csv_file_path):
        self.csv_file_path = csv_file_path

        self.data_frame = pd.read_csv(csv_file_path, low_memory=False)

    def get_data_frame_columns(self, cols):
        return self.data_frame.filter(items=cols)

    SITUATIONS = {
        "A01": "Projeto cultural cadastrado pelo sistema",
        "A02": "Projeto cadastrado",
        "A03": "Carta/Bolsa",
        "A04": "Encaminhado p/Assessoria de Planenjamento",
        "A05": "Pré Análise - Avaliação em 2001",
        "A06": "Desclassificado/Não Enquadramento nos Objetivos",
        "A07": "Encaminhado p/Comissão de Avaliação",
        "A09": "Projeto não selecionado",
        "A10": "Pré Análise",
        "A11": "Diligência  Documental",
        "A12": "Aguarda complementação de documentos",
        "A13": "Arquivado - solicitação de desistência do proponente",
        "A14": "Indeferido - não enquadramento nos objetivos e fins da Lei"
        "8313/91 ou do Decreto 5761/06",
        "A16": "Indeferido - Projeto já realizado.",
        "A17": "Indeferido - não atendimento à diligência",
        "A18": "Arquivado/Insuficiência de recursos",
        "A19": "Enviado para o mecenato",
        "A20": "Indeferido - projeto em duplicidade",
        "A21": "Carta de arquivamento",
        "A22": "Aguardando cadastro de proponente/Teto de valores",
        "A23": "Indeferido - somatório dos projetos apresentados excede o "
        "limite permitiddo para pessoa física",
        "A24": "Indeferido - somatório dos projetos apresentados excede"
        "o limite permitiddo para pessoa jurídica",
        "A25": "Alteração de valor",
        "A26": "Arquivado/Não enquadramento no âmbito da SMAC",
        "A27": "Carta circular/Contextualização do projeto",
        "A28": "Projeto priorizado",
        "A29": "Análise para enquadramento",
        "A30": "Análise do plano de trabalho",
        "A31": "Corrigindo plano de trabalho",
        "A32": "Aguardando correção do plano de trabalho",
        "A33": "Análise do projeto técnico",
        "A34": "Aguardando correção do projeto técnico",
        "A35": "Aguardando complementação do projeto",
        "A36": "Aguardando definição da SPMAP",
        "A37": "Aguarda Análise/Redimensionamento",
        "A38": "Aguarda Portaria/Redimensionamento",
        "A39": "Encaminhado para consultoria jurídica",
        "A40": "Arquivado/Projeto acima do teto adotado pela CNIC",
        "A41": "Indeferido - 50% de corte valor solicitado",
        "A42": "Projeto arquivado - não atendimento à diligência técnica",
        "B01": "Proposta transformada em projeto",
        "B02": "Projeto enquadrado",
        "B03": "Projeto enquadrado com recurso",
        "B04": "Projeto em avaliação documental",
        "B05": "Reanalisar enquadramento",
        "B10": "Despacho para análise técnica",
        "B11": "Encaminhado para análise técnica",
        "B12": "Aguarda parecer técnico",
        "B13": "Prazo de análise técnica vencido",
        "B14": "Diligenciado - Parecer técnico",
        "B15": "Encaminhado para emissão das passagens",
        "B16": "Aguarda adequação do projeto",
        "B20": "Projeto adequado à realidade de execução",
        "C07": "Projeto selecionado para atendimento",
        "C08": "Análise técnica concluída",
        "C09": "Projeto fora da pauta - Proponente Inabilitado",
        "C10": "Projeto incluído em pauta para avaliação da CNIC",
        "C11": "Projeto incluído em pauta extraordinária da CNIC",
        "C12": "Análise Técnica - FNC",
        "C13": "Projeto incluído na pauta de complementação para"
        "avaliação da CNIC",
        "C14": "Projeto incluído na pauta de prorrogação da CNIC",
        "C15": "Parecer Desfavorável",
        "C16": "Parecer Favorável",
        "C17": "Pauta não prioridade",
        "C18": "Pauta ad refendum",
        "C19": "Banda selecionada para atendimento",
        "C20": "Parecer técnico emitido",
        "C21": "Projeto incluído na pauta de redução da CNIC",
        "C22": "Projeto incluído na pauta de recurso",
        "C23": "Pauta FNC/Processo seletivo",
        "C24": "Extra Pauta do FNC",
        "C25": "Parecer Técnico desfavorável",
        "C26": "Projeto incluído na pauta da CNIC para reanálise/análise"
        "complementar",
        "C30": "Diligenciado - Comissão Nacional de Incentivo à Cultura -"
        "CNIC",
        "D01": "Projeto aprovado e aguardando ajuste sugerido pela plenária",
        "D02": "Readequação do projeto aprovada. Aguardando análise "
        "documental",
        "D03": "Projeto aprovado - aguardando análise documental",
        "D04": "Retornou da  CNIC/Em análise",
        "D05": "Em tramites de aprovação",
        "D06": "Encaminhado para CEC/portaria complementação",
        "D07": "Encaminhado para CEC/portaria prorrogação",
        "D08": "Carta de aprovação p/1998",
        "D09": "Aguardando publicação de portaria",
        "D10": "Aguarda Portaria II",
        "D11": "Projeto aprovado - Proponente inabilitado",
        "D12": "Retirado de Pauta pela CNIC",
        "D13": "Vistas",
        "D14": "Indeferido",
        "D15": "Aguarda Portaria III",
        "D16": "Aguarda Portaria de Complementação",
        "D17": "Aguardando publicação de portaria de Prorrogação",
        "D18": "Projeto não selecionado - FNC",
        "D19": "Projeto Selecionado p/atendimento - FNC",
        "D20": "Recurso",
        "D21": "Aguarda Portaria VI",
        "D22": "Aguardando elaboração de portaria de Prorrogação",
        "D23": "Aguarda portaria de redução",
        "D24": "Projeto em análise documental para publicação de portaria"
        "de captação",
        "D25": "Diligenciado - Projeto aprovado - (Solicitação de Documentos)",
        "D26": "Pedido de Prorrogação Excepcional",
        "D27": "Encaminhado para inclusão em portaria",
        "D28": "Encaminhado p/inclusão em portaria/complementação",
        "D29": "Encaminhado p/inclusão em portaria/redução.",
        "D30": "Banda Selecionada",
        "D31": "Aprovação suspensa",
        "D32": "Complementação aprovada - proponente inabilitado",
        "D33": "Diligenciado - Readequação - Análise Técnica",
        "D34": "Complementação aprovada - proponente habilitado",
        "D35": "Redução aprovada - proponente habilitado.",
        "D36": "Aprovado condicionado a apresentação de documentação",
        "D37": "Termo de Compromisso OK - Aguardando Certidões",
        "D38": "CADIN - Inadimplente",
        "D40": "Análise de recurso prestação de contas",
        "D41": "Diligenciado - Análise de Recurso",
        "D50": "Projeto apreciado pela Comissão Nacional de Incentivo à"
        "Cultura - CNIC",
        "D51": "Projeto apreciado pela CNIC - Aguardando análise documental",
        "D52": "Projeto Homologado",
        "D60": "Projeto enquadrado na exceção de execução imediata",
        "E00": "Aguarda Complementação",
        "E01": "Encaminhado p/Coordenadoria de Convênios",
        "E02": "Projetos Especiais Contemplado",
        "E03": "Avaliação p/ o próximo ano",
        "E04": "Arquivado - Art 14 Decreto Lei 200",
        "E05": "Análise Financeira do Relatório Final - P.C.",
        "E06": "Recibo cancelado - captação não efetivada",
        "E07": "Projeto aprovado aguardando registro na CVM",
        "E08": "Autorizada captação p/o próximo exercício",
        "E09": "Projeto Cancelado",
        "E10": "Autorizada a captação total dos recursos",
        "E11": "Expirado o prazo de captação total",
        "E12": "Autorizada a captação residual dos recursos",
        "E13": "Projeto em execução - Encerrado prazo de captação",
        "E14": "Aguarda Decisão Superior",
        "E15": "Expirado o prazo de captação parcial",
        "E16": "Projeto encerrado por excesso de prazo sem captação ",
        "E17": "Diligenciado - Prestação de Contas",
        "E18": "Avaliação Técnica do Relatório Final - P.C.",
        "E19": "Prestação de Contas Aprovada",
        "E20": "Inadimplente - não respondeu a diligência da Prestação de"
        "Contas",
        "E21": "Inadimplência Suspensa - Mecenato",
        "E22": "Instaurada Tomada de Contas Especial",
        "E23": "Inadimplente",
        "E24": "Apresentou prestação de contas",
        "E25": "Análise de resposta de diligência - Objeto",
        "E26": "Emissão de Carta 02",
        "E27": "Análise Financeira da Prestação de Contas",
        "E28": "Pauta de Complementação",
        "E29": "Pauta de Prorrogação",
        "E30": "Análise de resposta de diligência",
        "E31": "Aguarda Parecer/Complementação",
        "E32": "Cancelamento Solicitado",
        "E33": "Prorrogação Negada",
        "E34": "Prestação de contas encaminhada para UNB",
        "E35": "Prestação de contas encaminhada p/SPOA - Consultor",
        "E36": "Arquivado por ter 24 meses aprovação sem captação de recursos",
        "E37": "Diligenciado PC - UNB",
        "E38": "Inadimplente - Diligência na PC - UNB",
        "E39": "Diligênciado UNB - Relatório Final I",
        "E40": "Diligênciado UNB - Relatório Final II",
        "E41": "Resposta diligência relatório final - UNB",
        "E42": "Relatorio Recebido - UNB",
        "E43": "Relatorio Aprovado - UNB",
        "E44": "Aguarda Registro de CPB",
        "E45": "Apresentou prestação de contas parcial",
        "E46": "Emisão do parecer final da Prestação Contas",
        "E47": "Projeto arquivado - recursos transferidos FUNARTE",
        "E48": "Recurso não liberado - Execução encerrada",
        "E49": "Projeto Arquivado - Recursos transferidos",
        "E50": "Diligenciado - movimentação da conta corrente",
        "E51": "Diligência na prorrogação/P.C. parcial",
        "E52": "Analisando prorrogação/P.C. parcial",
        "E53": "Banda sob Acompanhamento",
        "E54": "Banda Advertida",
        "E55": "Banda em Funcionamento",
        "E56": "Banda em Débito com o Acompanhamento",
        "E57": "Banda em Formação",
        "E58": "Banda Contemplada",
        "E59": "Diligenciado - Readequação",
        "E60": "Diligenciado - fiscalização",
        "E61": "Diligenciado - na avaliação do relatório trimestral",
        "E62": "Diligenciado - na avaliação do relatório cumprimento de"
        "objeto",
        "E63": "Projeto arquivado - por excesso de prazo sem captação",
        "E64": "Projeto arquivado - captação/execução encerradas",
        "E65": "Projeto arquivado - solicitação de arquivamento",
        "E66": "Inadimplente - por não responder diligência na avaliação"
        "do relatório cumprimento de objeto",
        "E67": "Indicação para tomada de contas especial",
        "E68": "Aguarda análise financeira",
        "E69": "Inadimplente - por não responder a diligência de fiscalização",
        "E70": "Relatório final enviado ao MinC",
        "E71": "Inadimplente - por não responder diligência solicitando o"
        "envio do relatório trimestral",
        "E72": "Execução Suspensa de Forma Cautelar",
        "E73": "TCE julgada pelo TCU",
        "E74": "Prazo prorrogado para a inserção da prestação de contas no"
        "sistema",
        "E75": "Expirado o prazo de execução do projeto",
        "E76": "Encaminhado para inclusão em portaria - Prestação de Contas",
        "E77": "Aguarda laudo final",
        "E78": "Débito inferior ao valor mínimo para TCE",
        "E79": "Projeto não executado por insuficiência de captação de"
        "recursos",
        "E80": "Inadimplente - Proponente notificado a apresentar"
        "prestação de contas",
        "E81": "Inadimplente - Não atendeu a notificação para apresentar"
        "prestação de contas",
        "E90": "Projeto liberado para adequação à realidade de execução",
        "F00": "Projeto prorrogado",
        "G01": "Aguarda descontingenciar orçamento/limite Financ.",
        "G02": "Destaque em vigência",
        "G03": "Análise Documental",
        "G04": "Diligênciado/Documento/PT",
        "G05": "Encaminhado p/Consultoria Juridica",
        "G06": "Análise de regularidade",
        "G07": "Projetos em Duplicidade",
        "G08": "Visto da Consultoria Juridica",
        "G09": "Em Andamento",
        "G10": "Empenhado",
        "G11": "Projeto Conveniado",
        "G12": "Aguarda exigência da consultoria jurídica",
        "G13": "Enviado p/Pagamento",
        "G14": "Convênio em vigência",
        "G15": "Encerrado o prazo de vigência do convênio",
        "G16": "Arquivado/Não cumprimento de diligência",
        "G17": "Solicitação de arquivamento feito pelo proponente",
        "G18": "Diligência na prestação de contas do convênio",
        "G19": "Prestação de contas de convênio aprovada",
        "G20": "Inadimplente - não respondeu a diligência da Prestação de"
        "Contas (FNC)",
        "G21": "Análise Técnica do Relatório Final P.C. - convênio",
        "G22": "Analisando prestação de contas - convênio",
        "G23": "Convênio irregular - Conveniado inadimplente",
        "G24": "Apresentou prestação de contas de convênio",
        "G25": "Projeto arquivado/decurso de prazo",
        "G26": "Projeto arquivado/não atendimento documental",
        "G27": "Convênio cancelado",
        "G28": "Encerrado a vigência - projeto em execução",
        "G29": "Arquivado/Não enquadrado nas prioridades do FNC",
        "G30": "Arquivado/Insuficiência de recursos",
        "G31": "Prestação de contas encaminhada p/SAA - Convênios",
        "G32": "Para CJ após atendimento da exigência",
        "G33": "Inadimplência Suspensa - Convênio",
        "G34": "Para assinatura do convênio pelo dirigente",
        "G35": "Enviado para publicação de extrato de convênio",
        "G36": "Projeto  aceito no edital",
        "G37": "Projeto de edital - encaminhado para avaliação",
        "G38": "Para CAAP atender exigência DCC",
        "G39": "Em devolução a CCON",
        "G40": "Aguardando definição do proponente",
        "G41": "Para empenho",
        "G42": "Projeto premiado",
        "G43": "Aguarda análise técnico/financeira",
        "G44": "Descentralização de recursos - em vigência",
        "G45": "Descentralização de recursos - prestação de contas",
        "G46": "Descentralização de recursos - encerrada",
        "G47": "Em processo de instauração de Tomada de Contas Especial",
        "G48": "Vistoria in loco",
        "G49": "Encaminhado para assinatura do Secretário",
        "G50": "Assinado pelo Secretário",
        "G51": "Edital - Encaminhado a Comissão de Avaliação",
        "G52": "Edital - Avaliado pela Comissão",
        "G53": "Solicitado Prestação de Contas de Convênio/Diligência",
        "G54": "Análise de resposta de diligência - FNC",
        "G55": "Edital - Encaminhado para análise da Coordenação",
        "G56": "Projeto arquivado - solicitação de arquivamento",
        "H01": "Emitir ofício de notificação",
        "H04": "Proponente inadimplente",
        "H06": "Solicitar complement. documentos /esclarecimentos",
        "K00": "Projeto Arquivado",
        "K01": "Arquivado por excesso de projetos apresentados",
        "K02": "Arquivado por incapacidade técnica do proponente",
        "K03": "Bolsa concluída/Relatório final aprovado",
        "K04": "Bolsa Virtuose/Arquivado/Análise Documental",
        "K05": "Bolsa Virtuose/Arquivado/Análise do Mérito",
        "K06": "Bolsa Virtuose/Prorrogação Aprovada",
        "K07": "Bolsa Virtuose/Prorrogação Negada",
        "K10": "Encaminhado para a ANCINE",
        "L01": "Prestação de contas aprovada com certificação de"
        "qualidade-gestão",
        "L02": "Prestação de contas aprovada sem certificação de"
        "qualidade-gestão",
        "L03": "Prestação de contas aprovada com ressalva formal e"
        "sem prejuízo",
        "L04": "Prestação de contas aprovada com ressalva material ou"
        "prejuízo",
        "L05": "Prestação de contas desaprovada com notificação de"
        "cobrança",
        "L06": "Prestação de contas desaprovada com INDICATIVO para Tomada"
        "de Contas Especial",
        "L07": "Recolhimento integral dos recursos",
        "L08": "Prestação de contas aprovada após ressarcimento ao erário.",
        "L09": "Débito Parcelado",
        "L10": "Prestação de contas reprovada - Inabilitação Prescrita",
        "L11": "Prestação de contas reprovada – Inabilitação suspensa"
    }

    DF_SITUATIONS = pd.DataFrame(data={'Code': list(SITUATIONS.keys()),
                    'Description': list(SITUATIONS.values())})
